## org.eclipse.uml2.uml
Interface ReplyAction

All Superinterfaces:
  Action, ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

    public interface ReplyAction

extends Action

A representation of the model object 'Reply Action'. A reply action is an action that accepts a set of return values and a value containing return information produced by a previous accept call action. The reply action returns the values to the caller of the previous call, completing execution of the call.

The following features are supported:

- `Reply To Call`
- `Return Information`
- `Reply Value`

See Also:
  `UMLPackage.getReplyAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`InputPin` `createReplyValue(java.lang.String name, Type type)` Creates a new `InputPin`, with the specified 'Name', and 'Type', and appends it to the 'Reply Value' containment reference list
`InputPin` `createReplyValue(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `InputPin`, with the specified 'Name', and 'Type', and appends it to the 'Reply Value' containment reference list
`InputPin` `createReturnInformation(java.lang.String name, Type type)` Creates a new `InputPin`,with the specified 'Name', and 'Type', and sets the 'Return Information' containment reference
`InputPin` `createReturnInformation(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `InputPin`, with the specified 'Name', and 'Type', and sets the 'Return Information' containment reference
`Trigger` `getReplyToCall()` Returns the value of the 'Reply To Call' reference
`InputPin` `getReplyValue(java.lang.String name, Type type)` Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Reply Value' containment reference list
`InputPin` `getReplyValue(java.lang.String name, Type type, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Reply Value' containment reference list
`org.eclipse.emf.common.util.EList<InputPin>` `getReplyValues()` Returns the value of the 'Reply Value' containment reference list.
`InputPin` `getReturnInformation()` Returns the value of the 'Return Information' containment reference.
`void` `setReplyToCall(Trigger value)` Sets the value of the '`Reply To Call`' reference
`void` `setReturnInformation(InputPin value)` Sets the value of the '`Return Information`' containment reference
`boolean` `validateEventOnReplyToCallTrigger(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The event on replyToCall trigger must be a CallEvent replyToCallEvent.oclIsKindOf(CallEvent) replyToCallEvent.oclIsKindOf(CallEvent)
`boolean` `validatePinsMatchParameter(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The reply value pins must match the return, out, and inout parameters of the operation on the event on the trigger in number, type, and order.

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReplyToCall

    Trigger getReplyToCall()

  Returns the value of the 'Reply To Call' reference. The trigger specifying the operation whose call is being replied to.

  Returns:
    the value of the 'Reply To Call' reference.
  See Also:
    `setReplyToCall(Trigger)`, `UMLPackage.getReplyAction_ReplyToCall()`

### setReplyToCall

    void setReplyToCall(Trigger value)

  Sets the value of the '`Reply To Call`' reference.

  Parameters:
    `value` - the new value of the 'Reply To Call' reference.
  See Also:
    `getReplyToCall()`

### getReturnInformation

    InputPin getReturnInformation()

  Returns the value of the 'Return Information' containment reference.

  This feature subsets the following features:

  - '`Input`'
  A pin containing the return information value produced by an earlier AcceptCallAction.

  Returns:
    the value of the 'Return Information' containment reference.
  See Also:
    `setReturnInformation(InputPin)`, `UMLPackage.getReplyAction_ReturnInformation()`

### setReturnInformation

    void setReturnInformation(InputPin value)

  Sets the value of the '`Return Information`' containment reference.

  Parameters:
    `value` - the new value of the 'Return Information' containment reference.
  See Also:
    `getReturnInformation()`

### createReturnInformation

    InputPin createReturnInformation(java.lang.String name,
                                     Type type,
                                     org.eclipse.emf.ecore.EClass eClass)

  Creates a new `InputPin`, with the specified 'Name', and 'Type', and sets the 'Return Information' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
    `eClass` - The Ecore class of the `InputPin` to create.
  Returns:
    The new `InputPin`.
  See Also:
    `getReturnInformation()`

### createReturnInformation

    InputPin createReturnInformation(java.lang.String name,
                                     Type type)

  Creates a new `InputPin`,with the specified 'Name', and 'Type', and sets the 'Return Information' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
  Returns:
    The new `InputPin`.
  See Also:
    `getReturnInformation()`

### getReplyValues

    org.eclipse.emf.common.util.EList<InputPin> getReplyValues()

  Returns the value of the 'Reply Value' containment reference list. The list contents are of type `InputPin`.

  This feature subsets the following features:

  - '`Input`'
  A list of pins containing the reply values of the operation. These values are returned to the caller.

  Returns:
    the value of the 'Reply Value' containment reference list.
  See Also:
    `UMLPackage.getReplyAction_ReplyValue()`

### createReplyValue

    InputPin createReplyValue(java.lang.String name,
                              Type type,
                              org.eclipse.emf.ecore.EClass eClass)

  Creates a new `InputPin`, with the specified 'Name', and 'Type', and appends it to the 'Reply Value' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
    `eClass` - The Ecore class of the `InputPin` to create.
  Returns:
    The new `InputPin`.
  See Also:
    `getReplyValues()`

### createReplyValue

    InputPin createReplyValue(java.lang.String name,
                              Type type)

  Creates a new `InputPin`, with the specified 'Name', and 'Type', and appends it to the 'Reply Value' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
  Returns:
    The new `InputPin`.
  See Also:
    `getReplyValues()`

### getReplyValue

    InputPin getReplyValue(java.lang.String name,
                           Type type)

  Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Reply Value' containment reference list.

  Parameters:
    `name` - The 'Name' of the `InputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `InputPin` to retrieve, or `null`.
  Returns:
    The first `InputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getReplyValues()`

### getReplyValue

    InputPin getReplyValue(java.lang.String name,
                           Type type,
                           boolean ignoreCase,
                           org.eclipse.emf.ecore.EClass eClass,
                           boolean createOnDemand)

  Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Reply Value' containment reference list.

  Parameters:
    `name` - The 'Name' of the `InputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `InputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `InputPin` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `InputPin` on demand if not found.
  Returns:
    The first `InputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getReplyValues()`

### validatePinsMatchParameter

    boolean validatePinsMatchParameter(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map<java.lang.Object,java.lang.Object> context)

  The reply value pins must match the return, out, and inout parameters of the operation on the event on the trigger in number, type, and order. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateEventOnReplyToCallTrigger

    boolean validateEventOnReplyToCallTrigger(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map<java.lang.Object,java.lang.Object> context)

  The event on replyToCall trigger must be a CallEvent replyToCallEvent.oclIsKindOf(CallEvent) replyToCallEvent.oclIsKindOf(CallEvent)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.